Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class SystemUtilities

    java.lang.Object
      edu.stanford.smi.protege.util.SystemUtilities

    public class SystemUtilities

extends Object

A set of utilities for accessing the underlying system and for manipulating system level objects.

Author:
  Ray Fergerson , Joe Edelman (jxe@dartmouth.edu)

Constructor Summary
`SystemUtilities()`

Method Summary
`static void` | `beep()`
`static void` | `debugBreak()`
`static boolean` | `equals(Object o1, Object o2)`
`static void` | `exit()`
`static Class` | `forName(String className)`
`static Class` | `forName(String className, boolean promiscuous)`
`static void` | `gc()`
`static Collection` | `getClassesWithAttribute(String key, String value)`
`static String` | `getFileEncoding()`
`static String` | `getLineSeparator()`
`static String` | `getMachineIpAddress()`
`static String` | `getMachineName()`
`static Locale` | `getProtegeSystemDefaultLocale()`
`static boolean` | `getSystemBooleanProperty(String property)`
`static boolean` | `getSystemBooleanProperty(String property, boolean defaultValue)`
`static int` | `getSystemIntegerProperty(String property)`
`static int` | `getSystemIntegerProperty(String property, int defaultValue)`
`static Locale` | `getSystemLocale()`
`static String` | `getSystemProperty(String property)`
`static String` | `getSystemProperty(String property, String defaultValue)`
`static String` | `getUserDirectory()`
`static String` | `getUserName()`
`static void` | `initGraphics()`
`static void` | `initialize()`
`static boolean` | `isApplet()`
`static boolean` | `isMac()`
`static boolean` | `isWindows()`
`static void` | `logSystemInfo()`
`static boolean` | `modalDialogInDropWorks()`
`static Object` | `newInstance(Class clas)`
`static Object` | `newInstance(Class clas, Class[] argumentClasses, Object[] arguments)`
`static Object` | `newInstance(String className)`
`static void` | `pause()`
`static void` | `printMemoryUsage()`
`static void` | `printMemoryUsageNoGC()`
`static void` | `printSystemProperties(PrintStream stream)`
`static void` | `setApplet(boolean b)`
`static void` | `setContextClassLoader(Object o)`
`static void` | `setLookAndFeel(String lafName)`
`static boolean` | `showAlphaFeatures()`
`static void` | `showHTML(String url)`
`static void` | `sleepMsec(int msecs)`
`static Boolean` | `toBoolean(Object o)`
`static Float` | `toFloat(Object o)`
`static Integer` | `toInteger(Object o)`
`static boolean` | `useAntialiasing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemUtilities

    public SystemUtilities()

Method Detail

### initialize

    public static void initialize()

### initGraphics

    public static void initGraphics()

### debugBreak

    public static void debugBreak()

### exit

    public static void exit()

### beep

    public static void beep()

### forName

    public static Class forName(String className)

### forName

    public static Class forName(String className,
                                boolean promiscuous)

### gc

    public static void gc()

### getSystemProperty

    public static String getSystemProperty(String property)

### getSystemProperty

    public static String getSystemProperty(String property,
                                           String defaultValue)

### getSystemBooleanProperty

    public static boolean getSystemBooleanProperty(String property)

### getSystemBooleanProperty

    public static boolean getSystemBooleanProperty(String property,
                                                   boolean defaultValue)

### getSystemIntegerProperty

    public static int getSystemIntegerProperty(String property)

### getSystemIntegerProperty

    public static int getSystemIntegerProperty(String property,
                                               int defaultValue)

### getUserDirectory

    public static String getUserDirectory()

### getLineSeparator

    public static String getLineSeparator()

### getMachineName

    public static String getMachineName()

### getMachineIpAddress

    public static String getMachineIpAddress()

### getFileEncoding

    public static String getFileEncoding()

### getUserName

    public static String getUserName()

### setLookAndFeel

    public static void setLookAndFeel(String lafName)

### isWindows

    public static boolean isWindows()

### isMac

    public static boolean isMac()

### modalDialogInDropWorks

    public static boolean modalDialogInDropWorks()

### newInstance

    public static Object newInstance(Class clas,
                                     Class[] argumentClasses,
                                     Object[] arguments)

### newInstance

    public static Object newInstance(String className)

### newInstance

    public static Object newInstance(Class clas)

### pause

    public static void pause()

### printMemoryUsage

    public static void printMemoryUsage()

### printMemoryUsageNoGC

    public static void printMemoryUsageNoGC()

### logSystemInfo

    public static void logSystemInfo()

### printSystemProperties

    public static void printSystemProperties(PrintStream stream)

### showHTML

    public static void showHTML(String url)

### sleepMsec

    public static void sleepMsec(int msecs)

### toBoolean

    public static Boolean toBoolean(Object o)

### toFloat

    public static Float toFloat(Object o)

### toInteger

    public static Integer toInteger(Object o)

### equals

    public static boolean equals(Object o1,
                                 Object o2)

### getClassesWithAttribute

    public static Collection getClassesWithAttribute(String key,
                                                     String value)

### setContextClassLoader

    public static void setContextClassLoader(Object o)

### showAlphaFeatures

    public static boolean showAlphaFeatures()

### useAntialiasing

    public static boolean useAntialiasing()

### getSystemLocale

    public static Locale getSystemLocale()

### getProtegeSystemDefaultLocale

    public static Locale getProtegeSystemDefaultLocale()

### isApplet

    public static boolean isApplet()

### setApplet

    public static void setApplet(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.